Project

Profile

Help

Issue #7871

pulp-ansible-client breaks when updating V3 collections

Added by fao89 10 months ago. Updated 10 months ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Assignee:
-
Sprint/Milestone:
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Platform Release:
OS:
Triaged:
No
Groomed:
No
Sprint Candidate:
No
Tags:
API Bindings
Sprint:
Quarter:

Description

_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _                                                                                               
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api/pulp_ansible_galaxy_api_collections_api.py:352: in update                                                  
    return self.update_with_http_info(name, namespace, path, patched_collection, **kwargs)  # noqa: E501
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api/pulp_ansible_galaxy_api_collections_api.py:469: in update_with_http_info
    collection_formats=collection_formats)
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api_client.py:370: in call_api
    _preload_content, _request_timeout, _host)
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api_client.py:209: in __call_api
    return_data = self.deserialize(response_data, response_type)
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api_client.py:281: in deserialize
    return self.__deserialize(data, response_type)
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api_client.py:320: in __deserialize
    return self.__deserialize_model(data, klass)
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/api_client.py:661: in __deserialize_model
    instance = klass(**kwargs)
/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/models/collection_response.py:80: in __init__
    self.deprecated = deprecated
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

self = {'created_at': None,
 'deprecated': None,                           
 'highest_version': None,
 'href': None,                                 
 'name': None,                                 
 'namespace': None,                            
 'updated_at': None,                           
 'versions_url': None}                         
deprecated = None                              

    @deprecated.setter                         
    def deprecated(self, deprecated):
        """Sets the deprecated of this CollectionResponse.
                                               
                                               
        :param deprecated: The deprecated of this CollectionResponse.  # noqa: E501
        :type: bool                            
        """                                    
        if self.local_vars_configuration.client_side_validation and deprecated is None:  # noqa: E501
>           raise ValueError("Invalid value for `deprecated`, must not be `None`")  # noqa: E501
E           ValueError: Invalid value for `deprecated`, must not be `None`

/usr/local/lib/pulp/lib64/python3.7/site-packages/pulpcore/client/pulp_ansible/models/collection_response.py:172: ValueError

Associated revisions

Revision 24816096 View on GitHub
Added by Fabricio Aguiar 10 months ago

Fix deprecation status update for pulp-ansible-client

https://pulp.plan.io/issues/7871 closes #7871

Revision 63c10dee View on GitHub
Added by Fabricio Aguiar 10 months ago

Fix deprecation status update for pulp-ansible-client

https://pulp.plan.io/issues/7871 closes #7871

History

#1 Updated by fao89 10 months ago

  • Sprint/Milestone set to 0.5.2

#2 Updated by Anonymous 10 months ago

  • Status changed from NEW to MODIFIED

#4 Updated by pulpbot 10 months ago

  • Status changed from MODIFIED to CLOSED - CURRENTRELEASE

Please register to edit this issue

Also available in: Atom PDF